<?php 
function wpcs_goal_threshold($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	return $wcps_product_model->get_threshold($product_id);
}
function wpcs_active($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	return $wcps_product_model->is_presale_active($product_id);
}
function wcps_expiring_date($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['expiring_date'];
}
$wcps_result = get_option("_".$wcps_id);
$wcps_notice = !$wcps_result || $wcps_result != md5($_SERVER['SERVER_NAME']);
$wcps_notice = false;
/* if($wcps_notice)
	remove_action( 'plugins_loaded', 'wcps_setup'); */
if(!$wcps_notice)
	wcps_setup();
function wcps_expiring_time($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['expiring_time'];
}
function wcps_expiring_datetime($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['expiring_date']." ".$data['data']['expiring_time'];
}
function wcps_start_date($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['start_date'];
}
function wcps_start_time($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['start_time'];
}
function wcps_start_datetime($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	$data = $wcps_product_model->get_presale_data($product_id, true);
	return $data['data']['start_date']." ".$data['data']['start_time'];
}
function wpcs_get_sales($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	return $wcps_product_model->get_total_sales($product_id);
}
function wpcs_get_presale_sales($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	return $wcps_product_model->get_total_sales($product_id);
}
function wpcs_get_total_sales($product_id = null)
{
	if(!isset($product_id))
		$product_id = get_the_ID();
	if(!isset($product_id))
		return null;
	
	global $wcps_product_model;
	return $wcps_product_model->get_all_time_total_sales($product_id);
}
function wcps_get_woo_version_number() 
{
        // If get_plugins() isn't available, require it
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	
        // Create the plugins folder and file variables
	$plugin_folder = get_plugins( '/' . 'woocommerce' );
	$plugin_file = 'woocommerce.php';
	
	// If the plugin version number is set, return it 
	if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
		return $plugin_folder[$plugin_file]['Version'];

	} else {
	// Otherwise return null
		return NULL;
	}
}
?>