<?php 
class WCPS_Html
{
	function __construct()
	{
	}
	
	
	private function equeue_javascript_and_css()
	{
		global  $wcps_option_model;
		
		$date_format = $wcps_option_model->get_option('date_format');
		
		wp_enqueue_style('datepicker-classic', WCPS_PLUGIN_PATH.'/css/datepicker/classic.css');   
		wp_enqueue_style('datepicker-date-classic', WCPS_PLUGIN_PATH.'/css/datepicker/classic.date.css');   
		wp_enqueue_style('datepicker-time-classic', WCPS_PLUGIN_PATH.'/css/datepicker/classic.time.css');  
		wp_enqueue_style('wpcs-common-css', WCPS_PLUGIN_PATH.'/css/wcps-admin-common.css');  
		wp_enqueue_style( 'wp-color-picker' );
	
		wp_enqueue_script('wpcs-ui-picker', WCPS_PLUGIN_PATH.'/js/picker.js', array( 'jquery' ));
		wp_enqueue_script('wpcs-ui-datepicker', WCPS_PLUGIN_PATH.'/js/picker.date.js', array( 'jquery' ));
		wp_enqueue_script('wpcs-ui-timepicker', WCPS_PLUGIN_PATH.'/js/picker.time.js', array( 'jquery' )); 
		wp_enqueue_script('wpcs-admin-order-details', WCPS_PLUGIN_PATH.'/js/wpcs-admin-timepickers.js', array( 'jquery' )); 
		wp_enqueue_script( 'wpcs-colorpicker-js', WCPS_PLUGIN_PATH.'/js/wpcs-colorpicker.js', array( 'wp-color-picker' ), false, true );
		
		$translation_array = array(
				'date_format' => $date_format
			);
		wp_localize_script( 'wpcs-admin-order-details', 'wcps', $translation_array );
	}
	function woocommerce_total_presales_meta_box($product)
	{
		global $wcps_product_model;
		$wcps_wcps_total_presales = $wcps_product_model->get_total_sales($product->ID);//$wcps_product_model->get_option($product->ID, 'wcps_total_presales');
		//$wcps_wcps_total_presales = isset($wcps_wcps_total_presales) ? $wcps_wcps_total_presales : 0;
		?>
		<?php  _e('Click on "Update" product button to save changes.', 'woocommerce-pre-sale'); ?>
		<div id="wcps_total_presales_box">
			<input value="<?php echo $wcps_wcps_total_presales; ?>" name="wcps_total_presales" id="wcps_total_presales" readonly></input>
			<input value="no" name="wcps_reset_total_presales" id="wcps_reset_total_presales" type="hidden"></input>
			<button class="button" id="wcps_reset_presales_button"><?php _e('Reset presales', 'woocommerce-pre-sale');?></button>
		</div>
		<?php
	}
	function woocommerce_render_who_bought_metabox($product)
	{
		global $wcps_customer_model, $wcps_wpml_helper; 
		$customer_list = $wcps_customer_model->get_all_user_who_bought($product->ID);
		
		wp_enqueue_style('jquery-datatable',  WCPS_PLUGIN_PATH.'/css/jquery.dataTables.min.css');
		wp_enqueue_script('data-table', WCPS_PLUGIN_PATH.'/js/jquery.dataTables.min.js'); 
		wp_enqueue_script('wcps-product-details-customers-list',  WCPS_PLUGIN_PATH.'/js/wcps-admin-product-details.js');
		
		//wcps_var_dump($customer_list);
		?>
		<div id="wcps_who_bought_box">
			<style>
			table.dataTable tbody tr
				{
					text-align:center;
				}
			</style>
			<script>
				var admin_url = "<?php echo admin_url("user-edit.php?user_id="); ?>";
				var wcps_customers = [<?php foreach($customer_list as $customer) {if(!isset($customer->quantity) || !is_numeric($customer->quantity)) $customer->quantity = 0; echo "{'user_id':{$customer->user_id}, 'quantity':{$customer->quantity}, 'name':'{$customer->name}', 'surname':'{$customer->surname}', 'email':'{$customer->email}'},";} ?>];
			</script>	
			<div id="wcps-customers-list">
				
				<p><?php  /*_e('You can modify user total purchased during pre-sales/time offer period. Click on product update button for changes to take effect.', 'woocommerce-pre-sale');*/?>
					<?php  _e('To reset a customer total purchases counter, check the relative box and then click "Update" product button to save changes.', 'woocommerce-pre-sale'); ?><br/>
					<strong><?php  _e('Note:', 'woocommerce-pre-sale'); ?></strong> <?php  _e('Guest customers will not be listed.', 'woocommerce-pre-sale'); ?></p>
				
				<table id="wcps-customers-table" class="display dataTable" cellspacing="0" width="100%" >
					<thead>
							<tr>
								<th scope="col" class="manage-column column-reset" style=""><?php  _e('Reset counter', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-id" style=""><?php  _e('ID', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-name" style=""><?php  _e('Name', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-surname" style=""><?php  _e('Surname', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-email" style=""><?php  _e('Email', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-total" style=""><?php  _e('Total purchases', 'woocommerce-pre-sale');?></th>
							</tr>
					</thead>

					<tfoot>
							<tr>
								<th scope="col" class="manage-column column-reset" style=""><?php  _e('Reset counter', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-id" style=""><?php  _e('ID', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-name" style=""><?php  _e('Name', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-surname" style=""><?php  _e('Surname', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-email" style=""><?php  _e('Email', 'woocommerce-pre-sale');?></th>
								<th scope="col" class="manage-column column-total" style=""><?php  _e('Total purchases', 'woocommerce-pre-sale');?></th>
							</tr>
					</tfoot>

					<tbody id="wcps-customer-table-body">
					</tbody>
					</table>
			</div>
			<button class="button" id="wcps_check_all_users_resets"><?php  _e('Check/Uncheck all', 'woocommerce-pre-sale');?></button>
		</div>
		<?php
	}
	function woocommere_bulk_edit()
	{
		global $wp_scripts;
		$wp_scripts->queue = array();	
		$this->equeue_javascript_and_css();
		wp_enqueue_style( 'wpcs-select2-style', WCPS_PLUGIN_PATH.'/css/select2.min.css' ); 
		wp_enqueue_style('wcps-bulk-edit',  WCPS_PLUGIN_PATH.'/css/wcps-admin-bulkeding.css');  
		
		//wp_enqueue_script( 'wpcs-select2-script', WCPS_PLUGIN_PATH.'/js/select2.min.js', array('jquery') );
		wp_enqueue_script('wpcs-products-categories-autocomplete',WCPS_PLUGIN_PATH.'/js/wpcs-admin-bulkedit-product-cat-autocomplete.js');
		?>
		<script>
			jQuery.fn.select2=null;
		</script>
		<script type='text/javascript' src='<?php echo WCPS_PLUGIN_PATH.'/js/select2.min.js'; ?>'></script>
		
		<form method="post">
			<?php wp_nonce_field('wcps_bulk_edit_action', 'wcps_bulk_edit'); ?>
			<div id="option-box">
				<h4><?php  _e('Selects products (you can search typing product name, id or sku code)...', 'woocommerce-pre-sale');?></h4>
				<select class="js-data-products-ajax" id="product_ids" multiple='multiple' name="wcps_selected_products[]"> 
				</select>
				
				<h4><?php  _e('...and (optionally) categories', 'woocommerce-pre-sale');?></h4>
				<?php //var_dump($wcoei_customer_model->get_customer_list()); ?>
				<select class="js-data-product-categories-ajax" id="category_ids" multiple='multiple' name="wcps_selected_categories[]"> 
				</select>
				
				<p class="form-field">
					<label ><?php _e('If you have choosen at least one category, would you like to apply pre sale options to:', 'woocommerce-pre-sale');?></label>
					<select  class="upload_type" name="wcps_cat_assignment_type"  style="margin-top:20px;">
					  <option value="categories" ><?php _e('Selected categories only', 'woocommerce-pre-sale');?></option>
					  <option value="categories_children" ><?php _e('Selected categories and all its children', 'woocommerce-pre-sale');?></option>
					</select>
				</p>
				
			</div>
			
			<?php $this->woocommerce_product_tab(); ?>
			
			<input type="submit" value="<?php _e('Save', 'woocommerce-pre-sale');?>" class="button"></input>
		</form>
		<?php
	}
	function woocommerce_product_tab($post = null)
	{
		global $wcps_product_model, $wcps_option_model;
		$date_format = $wcps_option_model->get_option('date_format') == 'yyyy/mm/dd'? 'Y/m/d' : 'd/m/Y';
		
		if($post)
		{
			$wcps_data = $wcps_product_model->get_option($post->ID, 'wcps_data');
			$wcps_shop_page_message = $wcps_product_model->get_option($post->ID, 'wcps_shop_page_message');
			$wcps_expired_shop_page_message = $wcps_product_model->get_option($post->ID, 'wcps_expired_shop_page_message');
			$wcps_product_page_message = $wcps_product_model->get_option($post->ID, 'wcps_product_page_message');
			$wcps_expired_product_page_message = $wcps_product_model->get_option($post->ID, 'wcps_expired_product_page_message');
			$wcps_add_to_cart_text = $wcps_product_model->get_option($post->ID, 'wcps_add_to_cart_text');
			$wcps_badge_text_next_to_product = $wcps_product_model->get_option($post->ID, 'wcps_badge_text_next_to_product');
			$wcps_sale_badge_text = $wcps_product_model->get_option($post->ID, 'wcps_sale_badge_text');
			//wcps_var_dump($wcps_add_to_cart_text);
			$wcps_wcps_total_presales = $wcps_product_model->get_total_sales($post->ID);
			$this->equeue_javascript_and_css();
		}
		else
		{
			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_script( 'wpcs-colorpicker-js', WCPS_PLUGIN_PATH.'/js/wpcs-colorpicker.js', array( 'wp-color-picker' ), false, true );
		}
		$time_offset = $wcps_option_model->get_option('time_offset');
		
		if(!$post):
		 ?>
		 <style>
		 .options_group {
				border-bottom: 1px solid #eee;
				border-top: 1px solid #fff;
				padding-bottom: 25px;
			}
		 </style>
		 <?php endif;?>
			<div id="wcps_presale" class="panel woocommerce_options_panel">			
						<div class="options_group">
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Activate pre-sale / time offer', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<?php if(!$post): ?>
										<input type="checkbox" name="wcps_data[presale_active]" checked="checked"></input>
									<?php else: ?>
										<input type="checkbox" name="wcps_data[presale_active]" <?php if(isset($wcps_data['presale_active'])) echo ' checked="checked" '; ?>></input>
									<?php endif; ?>
								</span>
								<span class="description"><?php _e( 'Enable pre-sales / time offers system', 'woocommerce-pre-sale' ); ?>
								<?php if(!$post): ?>
									<br/>
									<strong><?php _e( 'NOTE: if not checked, pre-sale / time offer system will be disabled for selected products', 'woocommerce-pre-sale' ); ?></strong>
								<?php endif; ?>
								</span> 
							</p>
						</div>	
						<!-- <div class="options_group">
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Purchasable only by presalers', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="checkbox" name="wcps_data[purchasable_only_by_presalers]" <?php if(isset($wcps_data['purchasable_only_by_presalers'])) echo ' checked="checked" '; ?>></input>
								</span>
								<span style="" class="description"><?php _e( 'If enabled, only who pre-ordered the item during pre-sale period will be able to purchase the item.', 'woocommerce-pre-sale' ); ?></span>
							</p>
						</div> -->
						<div class="options_group">						
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Current server time (with offset):', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<strong style=" font-size: 20px;"><?php echo date("{$date_format} H:i",strtotime($time_offset.' minutes'))/* date("Y/m/d H:i",strtotime($time_offset.' minutes')) */; ?></strong>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Date and time will be syncronized with server time. Configure a time offset using "Pre-sales / Time offers" -> "options" menu.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Start date', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="wcps_date" name="wcps_data[start_date]" value="<?php if(isset($wcps_data['start_date']) && $wcps_data['start_date'] != "") echo date($date_format, strtotime($wcps_data['start_date'])); ?>" ></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Leave empty if there is not starting date', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Start time', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="wcps_time" name="wcps_data[start_time]" value="<?php if(isset($wcps_data['start_time'])) echo $wcps_data['start_time']; else echo'00:00';?>" ></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Will take effect only if starting date is not empty. Leave empty value means 00:00.', 'woocommerce-pre-sale' ); ?><br/> 
								<strong><?php _e( "NOTE: You can leave products as 'Draft', they will be automatically published when start date will be passed.", 'woocommerce-pre-sale' ); ?></strong></span> 
							</p>
							<p class="form-field">
								
								<label  style="display: inline;"><?php echo __('Unpurchasable until start date', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input  name='wcps_data[unpurchasable_until_start_date]' type="checkbox" value='true' <?php if(isset($wcps_data['unpurchasable_until_start_date'])) echo 'checked="checked"'?>></option>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Checking this option, the product will be visible but unpurchasable.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
							<p class="form-field">
								<?php 
								global $wp_roles;
								$roles = $wp_roles->roles;
								?>
								<label  style="display: inline;"><?php echo __( 'Role restriction', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<?php
										foreach( $roles as $role => $data ) :
										$selected = ( isset( $wcps_data['allowed_roles']) && is_array($wcps_data['allowed_roles']) && in_array( $role, $wcps_data['allowed_roles'] ) ) ? 'checked="checked"' : '';
									?>
										<input  name='wcps_data[allowed_roles][]' type="checkbox" <?php echo $selected ?> value='<?php echo $role ?>'><?php echo $data['name'] ?></option>
									<?php endforeach; ?>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Leave unselect to apply to all users. If at least one is selected, users which do not belong to that role will be unable to purchase the product and it will be invisible.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							<!--<p class="form-field">
								<?php 
								//wcps_var_dump($wcps_data);
								?>
								<label  style="display: inline;"><?php echo __( 'Visible for not allowed user', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input  name='wcps_data[visible_for_not_allowed_roles]' type="checkbox" <?php echo $selected ?> value='true' <?php if(isset($wcps_data['visible_for_not_allowed_roles'])) echo 'checked="checked"'; ?>></option>
									
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'If checked the product will be visible and purchasable at its normal price for not allowed user.', 'woocommerce-pre-sale' ); ?></span> 
							</p> -->
							<!--<p class="form-field">
								<?php 
								global $wp_roles;
								$roles = $wp_roles->roles;
								?>
								<label  style="display: inline;"><?php echo __( 'Visibility in case of role restriction', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input  name='wcps_data[hide_product_in_case_of_role_restriction]' type="checkbox" <?php if(isset($wcps_data['hide_product_in_case_of_role_restriction'])) echo 'selected="selected"'; ?> value='yes'><?php echo __( 'Completely hide product in case of role restriction', 'woocommerce-pre-sale' ); ?></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'The product will be completely hidden in case of non allowed users', 'woocommerce-pre-sale' ); ?></span> 
							</p>-->
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Expiring date', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="wcps_date" name="wcps_data[expiring_date]" value="<?php if(isset($wcps_data['expiring_date']) && $wcps_data['expiring_date'] != "") echo date($date_format, strtotime($wcps_data['expiring_date'])); ?>" ></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Leave empty if there is not expiring date', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Expiring time', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="wcps_time" name="wcps_data[expiring_time]" value="<?php if(isset($wcps_data['expiring_time'])) echo $wcps_data['expiring_time']; else echo'23:59';?>" ></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Will take effect only if expiring date is not empty. Leave empty value means 23:59.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
							<p class="form-field">
							<label style="display: inline;"><?php echo __( 'Free shipping', 'woocommerce-pre-sale' ); ?></label>
							<span class="wrap">
								<input type="checkbox" name="wcps_data[set_as_virtual]" style="margin-right:5px;" <?php if(isset($wcps_data['set_as_virtual'])) echo 'checked="checked"'; ?>></input>
							</span>
							<span style="display:block; clear:both;" class="description"><?php _e( 'Checking this option the product will be temporarrily marked as Virtual during the pre-sale/time offer period. In this way shipping costs will not be charged.', 'woocommerce-pre-sale' ); ?></span>
							</p>
							
							<p class="form-field">
								<label style="display: inline;"><?php echo __( 'Price during period', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="number" min="0" name="wcps_data[price_value]" style="margin-right:5px;" step="0.01" value="<?php if(isset($wcps_data['price_value'])) echo $wcps_data['price_value']; else echo '0'; ?>"></input>
									<select  name="wcps_data[pricing_type]">		
										<option value="none" <?php if(isset($wcps_data['pricing_type']) && $wcps_data['pricing_type']=='none') 
																	echo ' selected="selected" '; ?>><?php _e( 'No price change', 'woocommerce-pre-sale' ); ?></option>
										<option value="abs" <?php if(isset($wcps_data['pricing_type']) && $wcps_data['pricing_type']=='abs') 
																	echo ' selected="selected" '; ?>><?php _e( 'Fixed', 'woocommerce-pre-sale' ); ?></option>
										<option value="perc" <?php if(isset($wcps_data['pricing_type']) && $wcps_data['pricing_type']=='perc') 
																	echo ' selected="selected" '; ?>><?php _e( 'Percentage', 'woocommerce-pre-sale' ); ?></option>
									</select>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Percentage value will be calculated using the item regular price, 0 means the item will be free.', 'woocommerce-pre-sale' ); ?><br/>
								<strong><?php _e( 'NOTE: This option could be also useful if you want to sell your item at discouted price during pre-sale.', 'woocommerce-pre-sale' ); ?></strong></span>
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Purchase limit', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="number" min="0"  value="<?php if(isset($wcps_data['purchase_limit_quantity'])) echo $wcps_data['purchase_limit_quantity']; else echo '1' ?>" placeholder="<?php echo __( 'Select quantity', 'woocommerce-pre-sale' ); ?>" name="wcps_data[purchase_limit_quantity]" style="margin-right:5px;"></input>
									<select  name="wcps_data[purchase_limit]">			
										<option value="no_limits" <?php if(isset($wcps_data['purchase_limit']) && $wcps_data['purchase_limit']=='no_limits') 
																		echo ' selected="selected" '; ?>><?php _e( 'No Limits', 'woocommerce-pre-sale' ); ?></option>
										<option value="item_per_customer" <?php if(isset($wcps_data['purchase_limit']) && $wcps_data['purchase_limit']=='item_per_customer') 
																			echo ' selected="selected" '; ?>><?php _e( 'Item(s) per customer', 'woocommerce-pre-sale' ); ?></option>
										<option value="item_per_order" <?php if(isset($wcps_data['purchase_limit']) && $wcps_data['purchase_limit']=='item_per_order') 
																			echo ' selected="selected" '; ?>><?php _e( 'Item(s) per order', 'woocommerce-pre-sale' ); ?></option>
										
									</select>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Applicable only if "Item(s) per customer" or "Item(s) per order" has been selected. <strong>If "Item(s) per customer" option has been selected, the customer MUST be logged to be able to purchase.</strong>', 'woocommerce-pre-sale' ); ?></span>
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Purchase threshold / Period goal value', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="number" min="0"  value="<?php if(isset($wcps_data['threshold'])) echo $wcps_data['threshold']; else echo '0' ?>" placeholder="<?php echo __( 'Select threshold', 'woocommerce-pre-sale' ); ?>" name="wcps_data[threshold]" style="margin-right:5px;"></input>
									
								</span>
								<span style="display:block; clear:both;" class="description">
								<?php if($post): ?>
										<?php  _e( 'Goal threshold value must be greater than the total presales value. Current total presales are: ', 'woocommerce-pre-sale' ); ?><strong><?php echo $wcps_wcps_total_presales; ?></strong><br/>
									<?php endif; ?>
								<?php _e( 'Goal threshold value is used in combintion with the next option to determine if a product has to expire (draft) or not.', 'woocommerce-pre-sale' ); ?><br/> 
								<!-- <strong><?php _e( "NOTE: To know current pre-sale / time offer total purchases see the box on the right column in this page. That value will be use to know when the threshold will be reached.", 'woocommerce-pre-sale' ); ?></strong> --></span> 
							</p>
										
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'End period options', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[end_period_strategy]">			
										<option value="publish" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='publish') 
																		echo ' selected="selected" '; ?>><?php _e( 'Item will be purchasable with its normal price after expiration date', 'woocommerce-pre-sale' ); ?></option>
										<option value="special_price_before_threshold" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='special_price_before_threshold') 
																		echo ' selected="selected" '; ?>><?php _e( "Item will be purchasable with its normal price only after threshold has been reached (expiring date doesn't matter)", 'woocommerce-pre-sale' ); ?></option>
										<option value="unpublish" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='unpublish') 
																			echo ' selected="selected" '; ?>><?php _e( 'Item will expire after expiration date (draft)', 'woocommerce-pre-sale' ); ?></option>
										<option value="threshold_limit_passed" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='threshold_limit_passed') 
																			echo ' selected="selected" '; ?>><?php _e( "Item will expire if threshold value has been reached (expiring date doesn't matter) (draft)", 'woocommerce-pre-sale' ); ?></option>
										<option value="unpublish_if_date_threshold_passed" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='unpublish_if_date_threshold_passed') 
																			echo ' selected="selected" '; ?>><?php _e( 'Item will expire if threshold limit has been reached before expiring date (draft)', 'woocommerce-pre-sale' ); ?>
										<option value="unpublish_if_date_threshold_not_passed" <?php if(isset($wcps_data['end_period_strategy']) && $wcps_data['end_period_strategy']=='unpublish_if_date_threshold_not_passed') 
																			echo ' selected="selected" '; ?>><?php _e( 'Item will expire if threshold limit has NOT been reached before expiring date (draft)', 'woocommerce-pre-sale' ); ?></option>
										
									</select>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( '<strong>NOTE:</strong> In the general plugin options you can configure expired products to be visible also after expiring. They will be unpurcasable and you will be able to display special text.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Limit sales to "pre-salers"', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="checkbox" name="wcps_data[only_presalers_can_buy]" <?php if(isset($wcps_data['only_presalers_can_buy'])) echo ' checked="checked" '; ?>></input>
									</span>
								<span class="description"><?php _e( 'Only who bought during the pre-sale/offer period can buy the item. <strong>This feature requires the user to be logged</strong>.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							<!-- <p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Automatic renew period? Select how many times (0 means no automatic renew)"', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="number" name="wcps_data[automatic_renew]" min="0" value="<?php if(isset($wcps_data['automatic_renew'])) echo $wcps_data['automatic_renew']; else echo 0; ?>"></input>
									</span>
								<span class="description"><?php _e( 'Once reached end date, the Pre-sale / Time offer period will be renew for a period equal to "End date" minus "Start date" days. Start date and end date must not be empty and Goal threshold value must not be reached or has to be disabled.', 'woocommerce-pre-sale' ); ?></span> 
							</p> -->
						</div>
						
						<div class="options_group">	
								<p class="form-field">
									<label  style="display: inline;"><?php echo __( 'Notify to admin when product expires', 'woocommerce-pre-sale' ); ?></label>
									<span class="wrap">
										<input type="checkbox" name="wcps_data[notify_to_admin_if_a_product_expires]" <?php if(isset($wcps_data['notify_to_admin_if_a_product_expires'])) echo ' checked="checked" '; ?>></input>
										</span>
									<span class="description"><?php _e( 'If one of the expiring options has been selected int the <strong>End option periods option</strong> menu, the admin will be notified via email when a product expires.', 'woocommerce-pre-sale' ); ?></span> 
								</p>
								<p class="form-field">
									<label  style="display: inline;"><?php echo __( 'Notification recipient(s)', 'woocommerce-pre-sale' ); ?></label>
									<span class="wrap">
										<input type="text" name="wcps_data[notifification_expired_product_recipients]" value="<?php if(isset($wcps_data['notifification_expired_product_recipients'])) echo $wcps_data['notifification_expired_product_recipients']; ?>" placeholder="admin@email.com,shop-manager@email.com"></input>
									</span>
									<span class="description" style="display:block; clear:both;"><?php _e( 'If left empty, the notification will be sent to the site admin. To specify one (or more) different recipient(s) use the upper box. In case of multiple recipients specify comma separating values. Ex.:"admin@email.com,shop-manager@email.com"', 'woocommerce-pre-sale' ); ?></span> 
								</p>
						</div>
						<div class="options_group">	
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Deposit with coupon with discount code', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="checkbox" name="wcps_data[deposit_managment_active]" <?php if(isset($wcps_data['deposit_managment_active'])) echo ' checked="checked" '; ?>></input>
									</span>
								<span class="description"><?php _e( 'Your customer can pre-pay an item and pay the rest after expiring date. After purchasing, in the "New order email" will be included a coupon code to be used after pre-sale/time offer period. With this coupon code what has been spent will be deducted.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
						</div>
						
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Show old price with a line-through', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="checkbox" name="wcps_data[display_old_price]" <?php if(isset($wcps_data['display_old_price'])) echo ' checked="checked" '; ?>></input>
									</span>
								<span class="description"><?php _e( 'Before the new price will be displayed the old one with a line-through.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
							
						<p class="form-field">
							<label  style="display: inline;"><?php echo __( '"Add to cart" label text', 'woocommerce-pre-sale' ); ?></label>
							<span class="wrap">
								<input  type="text" placeholder="<?php echo __( 'Pre-sale', 'woocommerce-pre-sale' ); ?>" name="wcps_add_to_cart_text" value="<?php if(isset($wcps_add_to_cart_text)) echo $wcps_add_to_cart_text; ?>"></input>
							</span>
							<span style="display:block; clear:both;" class="description"><?php _e( 'Leave empty for default label "Add to cart".', 'woocommerce-pre-sale' ); ?></span>
						</p>
						
						
						<?php if($wcps_option_model->get_option('show_sale_badge')): ?>
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'WooCommerce badge sale text override', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" name="wcps_sale_badge_text" value="<?php if(isset($wcps_sale_badge_text)) echo $wcps_sale_badge_text; ?>" placeholder="<?php echo __( 'Pre-sale', 'woocommerce-pre-sale' ); ?>"></input>
								</span>
								<span class="description" style="display:block; clear:both;"><?php _e( 'The default WooCommerce "Sale" text badge can be customized using the following text input. Leave empty to use the default WooCommerce value.', 'woocommerce-pre-sale' ); ?></span> 
							</p>
						<?php endif; ?>
						<p class="form-field">
							<label  style="display: inline;"><?php echo __( 'Products table - badge text to show next to pre-sale items', 'woocommerce-pre-sale' ); ?></label>
							<span class="wrap">
								<input type="text" name="wcps_badge_text_next_to_product" value="<?php if(isset($wcps_badge_text_next_to_product)) echo $wcps_badge_text_next_to_product; ?>" placeholder="<?php echo __( '(Pre-sale)', 'woocommerce-pre-sale' ); ?>"></input>
							</span>
							<span class="description" style="display:block; clear:both;"><?php _e( 'On products table showed on <strong>Cart, Checkout, Order details pages and Emails</strong>, for each item that is on Pre-sale/Time offer period, can be showed a badge text next to them. Use the following text area to input the text that has to be showed.', 'woocommerce-pre-sale' ); ?></span> 
						</p>
						
						<p class="form-field">
							<label  style="display: inline;"><?php echo __( 'Shop page message', 'woocommerce-pre-sale' ); ?></label>
							<span class="wrap">
								<textarea  style="height: 6.5em;" name="wcps_shop_page_message"><?php if(isset($wcps_shop_page_message)) echo $wcps_shop_page_message; ?></textarea>
							</span>
							<span style="display:block; clear:both;" class="description"><?php _e( "You can use any shortcode. Plugin shorcodes are:", 'woocommerce-pre-sale' ); ?>
							<strong>[wpcs_active],[wpcs_goal_threshold], [wcps_expiring_date], [wcps_expiring_time], [wcps_expiring_datetime], [wcps_start_date], [wcps_start_time], [wcps_start_datetime]</strong> , <strong>[wpcs_get_presale_sales]</strong> & <strong>[wpcs_get_total_sales]</strong></span> 
						</p>
						
						<p class="form-field">
							<label  style="display: inline;"><?php echo __( 'Product page message', 'woocommerce-pre-sale' ); ?></label>
							<span class="wrap">
								<textarea  style="height: 6.5em;" name="wcps_product_page_message"><?php if(isset($wcps_product_page_message)) echo $wcps_product_page_message; ?></textarea>
							</span>
							<span style="display:block; clear:both;" class="description"><?php _e( "You can use any shortcode. Plugin shorcodes are:", 'woocommerce-pre-sale' ); ?>
							<strong>[wpcs_active], [wpcs_goal_threshold], [wcps_expiring_date], [wcps_expiring_time], [wcps_expiring_datetime], [wcps_start_date], [wcps_start_time], [wcps_start_datetime]</strong> , <strong>[wpcs_get_presale_sales]</strong> & <strong>[wpcs_get_total_sales]</strong></span> 
						</p>
						
						<?php if($wcps_option_model->get_option('expired_product_still_visible')): ?>
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Expired period - Shop page message', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<textarea  style="height: 6.5em;" name="wcps_expired_shop_page_message"><?php if(isset($wcps_expired_shop_page_message)) echo $wcps_expired_shop_page_message; ?></textarea>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( "You can use any shortcode. Plugin shorcodes are:", 'woocommerce-pre-sale' ); ?>
								<strong>[wpcs_active],[wpcs_goal_threshold], [wcps_expiring_date], [wcps_expiring_time], [wcps_expiring_datetime], [wcps_start_date], [wcps_start_time], [wcps_start_datetime]</strong> , <strong>[wpcs_get_presale_sales]</strong> & <strong>[wpcs_get_total_sales]</strong></span> 
							</p>
							
							<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Expired period - Product page message', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<textarea  style="height: 6.5em;" name="wcps_expired_product_page_message"><?php if(isset($wcps_expired_product_page_message)) echo $wcps_expired_product_page_message; ?></textarea>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( "You can use any shortcode. Plugin shorcodes are:", 'woocommerce-pre-sale' ); ?>
								<strong>[wpcs_active], [wpcs_goal_threshold], [wcps_expiring_date], [wcps_expiring_time], [wcps_expiring_datetime], [wcps_start_date], [wcps_start_time], [wcps_start_datetime]</strong> , <strong>[wpcs_get_presale_sales]</strong> & <strong>[wpcs_get_total_sales]</strong></span> 
							</p>
						<?php endif; ?>
						
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Display countdown timer to start datetime on', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[countdown_to_start_timer_display]">			
										<option value="none" <?php if(isset($wcps_data['countdown_to_start_timer_display']) && $wcps_data['countdown_to_start_timer_display']=='none') 
																		echo ' selected="selected" '; ?>><?php _e( 'No', 'woocommerce-pre-sale' ); ?></option>
										<option value="shop_page" <?php if(isset($wcps_data['countdown_to_start_timer_display']) && $wcps_data['countdown_to_start_timer_display']=='shop_page') 
																			echo ' selected="selected" '; ?>><?php _e( 'On shop page', 'woocommerce-pre-sale' ); ?></option>
										<option value="product_page" <?php if(isset($wcps_data['countdown_to_start_timer_display']) && $wcps_data['countdown_to_start_timer_display']=='product_page') 
																			echo ' selected="selected" '; ?>><?php _e( 'On product page', 'woocommerce-pre-sale' ); ?></option>
										<option value="both_pages" <?php if(isset($wcps_data['countdown_to_start_timer_display']) && $wcps_data['countdown_to_start_timer_display']=='both_pages') 
																			echo ' selected="selected" '; ?>><?php _e( 'Both pages', 'woocommerce-pre-sale' ); ?></option>
										
									</select>
								</span>
						</p>
						
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Display countdown timer to end datetime on', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[countdown_timer_display]">			
										<option value="none" <?php if(isset($wcps_data['countdown_timer_display']) && $wcps_data['countdown_timer_display']=='none') 
																		echo ' selected="selected" '; ?>><?php _e( 'No', 'woocommerce-pre-sale' ); ?></option>
										<option value="shop_page" <?php if(isset($wcps_data['countdown_timer_display']) && $wcps_data['countdown_timer_display']=='shop_page') 
																			echo ' selected="selected" '; ?>><?php _e( 'On shop page', 'woocommerce-pre-sale' ); ?></option>
										<option value="product_page" <?php if(isset($wcps_data['countdown_timer_display']) && $wcps_data['countdown_timer_display']=='product_page') 
																			echo ' selected="selected" '; ?>><?php _e( 'On product page', 'woocommerce-pre-sale' ); ?></option>
										<option value="both_pages" <?php if(isset($wcps_data['countdown_timer_display']) && $wcps_data['countdown_timer_display']=='both_pages') 
																			echo ' selected="selected" '; ?>><?php _e( 'Both pages', 'woocommerce-pre-sale' ); ?></option>
										
									</select>
								</span>
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Display the countdown timer to end only after the start datetime has passed?', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[countdown_timer_only_after_start_date]">			
										<option value="no" <?php if(isset($wcps_data['countdown_timer_only_after_start_date']) && $wcps_data['countdown_timer_only_after_start_date']=='no') 
																			echo ' selected="selected" '; ?>><?php _e( 'No', 'woocommerce-pre-sale' ); ?></option>
										<option value="yes" <?php if(isset($wcps_data['countdown_timer_only_after_start_date']) && $wcps_data['countdown_timer_only_after_start_date']=='yes') 
																		echo ' selected="selected" '; ?>><?php _e( 'Yes', 'woocommerce-pre-sale' ); ?></option>							
										
										<span style="display:block; clear:both;" class="description"><?php _e( 'If "No" is selected and the start datetime countdown is disabled, automatically the end datetime countdown will be shown even if the the start datetime has not passed yet', 'woocommerce-pre-sale' ); ?></span>
									</select>
								</span>
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Display sales progress bar?', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[sales_progress_bar]">			
										<option value="no" <?php if(isset($wcps_data['sales_progress_bar']) && $wcps_data['sales_progress_bar']=='no') 
																			echo ' selected="selected" '; ?>><?php _e( 'No', 'woocommerce-pre-sale' ); ?></option>
										<option value="shop_page" <?php if(isset($wcps_data['sales_progress_bar']) && $wcps_data['sales_progress_bar']=='shop_page') 
																		echo ' selected="selected" '; ?>><?php _e( 'On shop page', 'woocommerce-pre-sale' ); ?></option>	
										<option value="product_page" <?php if(isset($wcps_data['sales_progress_bar']) && $wcps_data['sales_progress_bar']=='product_page') 
																	  echo ' selected="selected" '; ?>><?php _e( 'On product page', 'woocommerce-pre-sale' ); ?></option>	
										<option value="both" <?php if(isset($wcps_data['sales_progress_bar']) && $wcps_data['sales_progress_bar']=='both') 
																	 echo ' selected="selected" '; ?>><?php _e( 'Both pages', 'woocommerce-pre-sale' ); ?></option>							
										
										
									</select>
								</span>
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Display sales progress label?', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<select  name="wcps_data[sales_progress_bar_label]">			
										<option value="yes" <?php if(isset($wcps_data['sales_progress_bar_label']) && $wcps_data['sales_progress_bar_label']=='yes') 
																			echo ' selected="selected" '; ?>><?php _e( 'Yes', 'woocommerce-pre-sale' ); ?></option>
										<option value="no" <?php if(isset($wcps_data['sales_progress_bar_label']) && $wcps_data['sales_progress_bar_label']=='no') 
																		echo ' selected="selected" '; ?>><?php _e( 'No', 'woocommerce-pre-sale' ); ?></option>						
										
									</select>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'Will display "Sold {current_sales}/{goal_threshold}" label after the progress bar.', 'woocommerce-pre-sale' ); ?></span>
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Progress bar background color', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="color-field" name="wcps_data[sales_progress_bar_background_color]" value="<?php if(isset($wcps_data['sales_progress_bar_background_color']) && $wcps_data['sales_progress_bar_background_color'] != '') echo $wcps_data['sales_progress_bar_background_color']; else echo '#3d3d3d';?>"></input>
								</span>
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Progress bar color', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" class="color-field" name="wcps_data[sales_progress_bar_color]" value="<?php if(isset($wcps_data['sales_progress_bar_color']) && $wcps_data['sales_progress_bar_color'] != '') echo $wcps_data['sales_progress_bar_color']; else echo '#d3d3d3'; ?>"></input>
								</span>
						</p>
						
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Timer custom CSS class (Shop page)', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" name="wcps_data[css_shop_page_timer_box_class]" value="<?php if(isset($wcps_data['css_shop_page_timer_box_class']) && $wcps_data['css_shop_page_timer_box_class'] != '') echo $wcps_data['css_shop_page_timer_box_class']; else echo '';?>"></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'To assign multiple class use the following format: "class_1 class_2 class_3"', 'woocommerce-pre-sale' ); ?></span>
						
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Timer custom CSS id (Shop page)', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" name="wcps_data[css_shop_page_timer_box_id]" value="<?php if(isset($wcps_data['css_shop_page_timer_box_id']) && $wcps_data['css_shop_page_timer_box_id'] != '') echo $wcps_data['css_shop_page_timer_box_id']; else echo ''; ?>"></input>
								</span>
						</p>
						
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Timer custom CSS class (Product page)', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" name="wcps_data[css_product_page_timer_box_class]" value="<?php if(isset($wcps_data['css_product_page_timer_box_class']) && $wcps_data['css_product_page_timer_box_class'] != '') echo $wcps_data['css_product_page_timer_box_class']; else echo '';?>"></input>
								</span>
								<span style="display:block; clear:both;" class="description"><?php _e( 'To assign multiple class use the following format: "class_1 class_2 class_3"', 'woocommerce-pre-sale' ); ?></span>
						
						</p>
						<p class="form-field">
								<label  style="display: inline;"><?php echo __( 'Timer custom CSS id (Product page)', 'woocommerce-pre-sale' ); ?></label>
								<span class="wrap">
									<input type="text" name="wcps_data[css_product_page_timer_box_id]" value="<?php if(isset($wcps_data['css_product_page_timer_box_id']) && $wcps_data['css_product_page_timer_box_id'] != '') echo $wcps_data['css_product_page_timer_box_id']; else echo ''; ?>"></input>
								</span>
						</p>
						
						
			</div>
		<?php
	}
}
?>