<?php class WCPS_Option
{
	var $options;
	public function __construct()
	{
	}
	public function get_option($option_name = null, $default = null)
	{
		if(!isset($this->options))
			$options = get_option( 'wcps_options'); 
		else
			$options = $this->options;
		$options = isset($options) ? $options: null;
		$this->options = $options;
		
		$result = null;
		if($option_name)
		{
			if(isset($options[$option_name]))
				$result = $options[$option_name];	
			elseif($option_name == 'time_offset')
				$result = isset($result) ? $result : 0;
			elseif($option_name == 'coupon_code_can_be_used_when_item_is_in_presale')
				$result = isset($result) ? $result : false;
			elseif($option_name == 'timer_disable_week_counter')
				$result = isset($result) ? $result : 'no';
			elseif($option_name == 'timer_disable_minute_counter')
				$result = isset($result) ? $result : 'no';
			elseif($option_name == 'timer_disable_second_counter')
				$result = isset($result) ? $result : 'no';
			elseif($option_name == 'expired_product_still_visible')
				$result = isset($result) ? true : false;
			elseif($option_name == 'date_format')
				$result = isset($result) ? $result : 'yyyy/mm/dd';
			elseif($option_name == 'enable_sale_products')
				$result = isset($result) ? true : false;
			elseif($option_name == 'default_sale_badge_text')
				$result = isset($result) ? $result : __('Sale', 'woocommerce-pre-sale');
			elseif($option_name == 'badge_text_next_to_product')
				$result = isset($result) ? $result : "";
			elseif($option_name == 'product_page_infos_display_position')
				$result = isset($result) ? $result : 'woocommerce_single_product_summary';
			elseif($option_name == 'order_status_to_assign_after_checkout')
				$result = isset($result) ? $result : 'leave_default';
			elseif($option_name == 'disable_tax_application')
				$result = isset($result) ? $result : false;
		}
		else
			$result = $options;
		
		return $result;
	}
	public function set_option($option_name, $value)
	{
		$options = get_option( 'wcps_options');
		if(isset($value))
			$options[$option_name] = $value;
		if(is_admin())
			update_option( 'wcps_options', $options);
	}
}
?>