<?php 
class WCPS_Shortcodes
{
	public function __construct()
	{
		add_shortcode( 'wcps_expiring_date', array(&$this, 'wcps_expiring_date' ));
		add_shortcode( 'wcps_expiring_time', array(&$this,'wcps_expiring_time' ));
		add_shortcode( 'wcps_expiring_datetime', array(&$this,'wcps_expiring_datetime' ));
		add_shortcode( 'wcps_start_date', array(&$this,'wcps_start_date' ));
		add_shortcode( 'wcps_start_time', array(&$this,'wcps_start_time' ));
		add_shortcode( 'wcps_start_datetime', array(&$this,'wcps_start_datetime' ));
		add_shortcode( 'wpcs_get_sales', array(&$this,'wpcs_get_sales' )); 
		add_shortcode( 'wpcs_get_presale_sales', array(&$this,'wpcs_get_presale_sales' )); 
		add_shortcode( 'wpcs_get_total_sales', array(&$this,'wpcs_get_total_sales' )); 
		add_shortcode( 'wpcs_active', array(&$this,'wpcs_active' )); 
		add_shortcode( 'wpcs_goal_threshold', array(&$this,'wpcs_goal_threshold' )); 
	}
	public function wpcs_goal_threshold($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		ob_start();
		echo wpcs_goal_threshold($a['id']);
		return ob_get_clean();
	}
	public function wpcs_active($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		ob_start();
		echo wpcs_active($a['id']) ? _e('Yes', 'woocommerce-pre-sale') : _e('No','woocommerce-pre-sale');
		return ob_get_clean();
	}
	public function wcps_expiring_date($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
			
		$date = DateTime::createFromFormat("Y/m/d",  wcps_expiring_date($a['id']) );
		if(is_object($date))
			$date = $date->format(get_option( 'date_format' ));
		
		ob_start();
		echo $date;
		return ob_get_clean();
	}
	public function wcps_expiring_time($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		$time = DateTime::createFromFormat("H:i", wcps_expiring_time($a['id']) );
		if(is_object($time))
			$time = $time->format(get_option( 'time_format' ));
		
		ob_start();
		echo $time;
		return ob_get_clean();
	}
	public function wcps_expiring_datetime($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		$datetime = DateTime::createFromFormat("Y/m/d H:i", wcps_expiring_datetime($a['id']) );
		if(is_object($datetime))
			$datetime = $datetime->format(get_option( 'date_format' )." ".get_option( 'time_format' ));
		
		ob_start();
		echo $datetime;
		return ob_get_clean();
	}
	public function wcps_start_date($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		$date = DateTime::createFromFormat("Y/m/d", wcps_start_date($a['id']) );
		if(is_object($date))
			$date = $date->format(get_option( 'date_format' ));
		
		ob_start();
		echo $date;
		return ob_get_clean();
	}
	public function wcps_start_time($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
		
		$time = DateTime::createFromFormat("H:i", wcps_start_time($a['id']) );
		if(is_object($time))
			$time = $time->format(get_option( 'time_format' ));
		
		ob_start();
		echo $time;
		return ob_get_clean();
	}
	public function wcps_start_datetime($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		$datetime = DateTime::createFromFormat("Y/m/d H:i", wcps_start_datetime($a['id']) );
		if(is_object($datetime))
			$datetime = $datetime->format(get_option( 'date_format' )." ".get_option( 'time_format' ));
		
		ob_start();
		echo $datetime;
		return ob_get_clean();
	}
	public function wpcs_get_sales($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		ob_start();
		echo wpcs_get_sales($a['id']); //Defined on Globals
		return ob_get_clean();
	}
	public function wpcs_get_presale_sales($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		ob_start();
		echo wpcs_get_presale_sales($a['id']); //Defined on Globals
		return ob_get_clean();
	}
	public function wpcs_get_total_sales($atts)
	{
		$a = shortcode_atts( array(
        'id' => get_the_ID(),
			), $atts );
			
		ob_start();
		echo wpcs_get_total_sales($a['id']); //Defined on globals
		return ob_get_clean();
	}
}
?>