<?php
class WCPS_Wpml
{
	public function __construct()
	{
	}
	public function wpml_is_active()
	{
		return class_exists('SitePress');
	}
	public function remove_translated_id($items_array, $post_type = "product")
	{
		if(!class_exists('SitePress'))
			return false;
		
		$filtered_items_list = array();
		foreach($items_array as $item)	
		{
			/* $result = wpml_get_language_information($item->id);
			if(!is_bool (strpos($result['locale'], ICL_LANGUAGE_CODE)))
			{
				array_push($filtered_items_list, $item);
			}*/
			$item_id = is_object($item) && method_exists($item,'get_id') ? $item->get_id() : $item->id;
			//$item_type = is_object($item) && method_exists($item,'get_type') ? $item->get_type() : $item->type;

			if(function_exists('icl_object_id'))
				$item_translated_id = icl_object_id($item_id, $post_type, false, ICL_LANGUAGE_CODE);
			else
				$item_translated_id = apply_filters( 'wpml_object_id', $item_id, $post_type, false, ICL_LANGUAGE_CODE );
			if($item_id == $item_translated_id)
				array_push($filtered_items_list, $item);
		}
		return $filtered_items_list ;
	}
	public function get_translated_id( $obj_ids, $type = 'product', $return_original = true)
	{
		set_error_handler(function() {  });
		$result = array();
		if (class_exists('SitePress')) 
		{
			
			$languages = icl_get_languages('skip_missing=0&orderby=code');
			$lang_array = array(); 
			if(!empty($languages))
				foreach($languages as $l)
					//if(!$l['active']) 
					{
						array_push($lang_array, $l['language_code']);
					}
			foreach($obj_ids as $obj_id)
				foreach($lang_array as $lang)
				{
					if(function_exists('icl_object_id'))
						$translation = icl_object_id($obj_id, $type, $return_original, $lang); //product_cat || product
					else
						$item_translated_id = apply_filters( 'wpml_object_id', $obj_id, $type, $return_original, $lang );
					
					if($translation && !in_array($translation, $result))
						$result[] = $translation;
				}
		} 
		return $result;
	}
	public function get_main_id($id, $type = 'product')
	{
		if (class_exists('SitePress')) 
		{
			global $sitepress;
			if(function_exists('icl_object_id'))
					$id = icl_object_id($id, $type, true, $sitepress->get_default_language()); 
				else
					$id = apply_filters( 'wpml_object_id', $id, $type, true, $sitepress->get_default_language());
		}
		return $id;
	}
}
?>